Creates and attestation from a piece of content
curl --request POST \
--url https://api.app.chainloop.dev/v1/attestations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "aSDinaTvuI8gbWludGxpZnk=",
"project_name": "<string>"
}
'import requests
url = "https://api.app.chainloop.dev/v1/attestations"
payload = {
"name": "<string>",
"content": "aSDinaTvuI8gbWludGxpZnk=",
"project_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: 'aSDinaTvuI8gbWludGxpZnk=',
project_name: '<string>'
})
};
fetch('https://api.app.chainloop.dev/v1/attestations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.chainloop.dev/v1/attestations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => 'aSDinaTvuI8gbWludGxpZnk=',
'project_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.app.chainloop.dev/v1/attestations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.app.chainloop.dev/v1/attestations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.chainloop.dev/v1/attestations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"attestation": {
"digest": "digest",
"id": "id"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Creates and attestation from a piece of content
This endpoint is used to create an attestation for a piece of content, such as a file or a blob. The provided content is stored in the configured storage backend
POST
/
v1
/
attestations
Creates and attestation from a piece of content
curl --request POST \
--url https://api.app.chainloop.dev/v1/attestations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "aSDinaTvuI8gbWludGxpZnk=",
"project_name": "<string>"
}
'import requests
url = "https://api.app.chainloop.dev/v1/attestations"
payload = {
"name": "<string>",
"content": "aSDinaTvuI8gbWludGxpZnk=",
"project_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: 'aSDinaTvuI8gbWludGxpZnk=',
project_name: '<string>'
})
};
fetch('https://api.app.chainloop.dev/v1/attestations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.chainloop.dev/v1/attestations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'content' => 'aSDinaTvuI8gbWludGxpZnk=',
'project_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.app.chainloop.dev/v1/attestations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.app.chainloop.dev/v1/attestations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.chainloop.dev/v1/attestations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"content\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"project_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"attestation": {
"digest": "digest",
"id": "id"
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Body
application/json
Request to create and store an attestation
Request to create and store an attestation
